org.apache.fop.render.rtf.rtflib.rtfdoc

## Class RtfString

- java.lang.Object
- - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
  - - org.apache.fop.render.rtf.rtflib.rtfdoc.RtfString

-     public class RtfString
      extends RtfElement

  Plain text in a RTF file, without any formatings.

  This work was authored by Peter Herweg (pherweg@web.de).

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `attrib, parent, writer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()`
    `boolean` | `isEmpty()`
    `void` | `setText(java.lang.String s)`
    `protected void` | `writeRtfContent()` write RTF code of all our children

    - ### Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement

      `close, getParentOfClass, getRtfAttributes, newLine, okToWriteRtf, toString, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in class `RtfElement`
      Returns:
        true if this element would generate no "useful" RTF content

    - #### writeRtfContent

          protected void writeRtfContent()
                                  throws java.io.IOException

      write RTF code of all our children
      Specified by:
        `writeRtfContent` in class `RtfElement`
      Throws:
        `java.io.IOException` - for I/O problems

    - #### getText

          public java.lang.String getText()

      Returns:
        the text

    - #### setText

          public void setText(java.lang.String s)

      Parameters:
        `s` - some text

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.